Subject: RE: Test suite failures building 0.10.0 on CentOS7 - building from git

From: "Cook, Malcolm" <[email-masked]>
Date: Thu, 12 May 2016 22:22:55 +0000

Ludo!

It has been far too long that I followed up on this.  I have just now return to this project.  

Setting HOME, as you last suggested, got me past the `make check` problems from before.  Thank you.

However,  `make check` still apparently halts after:

....
PASS: tests/guix-package-net.sh
PASS: tests/guix-package.sh
PASS: tests/guix-build.sh
PASS: tests/guix-environment.sh
PASS: tests/builders.scm

The tests apparently stop running.  Top agrees with me.

At this point, all checks have PASSed  except guix-lint.sh, which is the single file tarred up in checkFAIL.tar.gz

LOG.tar.gz contains logs of stdout/stderr from each step so far: bookstrap, configure, make, make check. and also a file detailing the version of RPM installed on my CentOS 7 box.

Note - All this is still trying to build based on git, viz:

    git clone git://git.savannah.gnu.org/guix.git  --branch v0.10.0  guix

.... and still of course performing the ./bootstrap.  

I will in a separate message detail what happens when I try and build from the release tarball.   

However, I would like to understand what the issues are with building using  git.  Is there a good explanation on the possible issues that are avoided by using the release tarball?

THanks,

Malcolm

 > -----Original Message-----
 > From: Ludovic Courtès [mailto:[email-masked]]
 > Sent: Thursday, March 31, 2016 3:00 AM
 > To: Cook, Malcolm <[email-masked]>
 > Cc: Guix-devel <[email-masked]>; [email-masked]' <bug-
 > [email-masked]>
 > Subject: Re: Test suite failures building 0.10.0 on CentOS7
 > 
 > "Cook, Malcolm" <[email-masked]> skribis:
 > 
 > > Thanks for the reminder about
 > https://www.gnu.org/software/guix/manual/html_node/Running-the-Test-
 > Suite.html    I note there too that I should be emailing [email-masked]
 > instead of guix-devel.  I've cc:ed it this time.  What is the best going forward?
 > 
 > Yeah, using [email-masked] for bug reports is the best way.
 > 
 > > I am building the release from git since I want to ./configure with a
 > > non-standard --localstatedir of /gnu/var
 > 
 > This can also be done when building from the tarball: just run
 > 
 >   tar xf guix-0.10.0.tar.gz
 >   cd guix-0.10.0
 >   ./configure --localstatedir=/gnu/var
 >   …
 > 
 > > In any case I have reduced the issues by adding to my install mantra:
 > >
 > > 	export ACLOCAL_PATH=/usr/share/aclocal # as per
 > https://www.gnu.org/software/guix/manual/guix.html#Building-from-Git
 > 
 > Another reason for using the release tarball: there’d be no such issues!
 > :-)
 > 
 > > In guix/cve.scm:
 > >   76: 2 [call-with-cve-port # 518400 ...]
 > > In guix/http-client.scm:
 > >  300: 1 [http-fetch/cached # # 518400 ...]
 > > In unknown file:
 > >    ?: 0 [string-append #f "/http/"
 > "Fjb931UJRoTPOjHq6hc1oawK9bCopdhOoX9grKLx71Q="]
 > >
 > > ERROR: In procedure string-append:
 > > ERROR: In procedure string-append: Wrong type (expecting string): #f'
 > 
 > This is a harmless failure: it indicates that neither the HOME nor the
 > XDG_CACHE_HOME environment variables are defined in the build
 > environment.  Could you define one of these (they can point any writable
 > directory) and run ‘make recheck’?
 > 
 > Surely we should handle this situation better.  I guess
 > ‘cache-directory’ in (guix utils) should just error out in such a case,
 > with a clear error message.  Thoughts?
 > 
 > Thanks,
 > Ludo’.